// JavaScript Document
///jf noblet novembre 2001
window.history.forward(1);
var	ie4 = (document.all) && (!document.getElementById)
var	ns4 = document.layers
var dom = document.getElementById; //ie5 ou ns6
var net = (navigator.appName.substring(0,3) == "Net")

//fonction à placer dans <BODY ONLOAD="initnav()"   >
//function initnav() //précautions oratoires
//{ 	
if (ns4)
		{layerRef = "document.layers";v=".top=";h=".left="
	 	styleRef = "";ctn=".document.write('";ctn2="')";
	 	cro1="['";cro2="']";bgd=".bgColor";eg="";cro3=""
		}
	if (ie4)
		{layerRef = "document.all";cro3="";h=".pixelLeft=";v=".pixelTop="
	 	styleRef = ".style";ctn=".innerHTML";ctn2="";
		cro1="['";cro2="']";bgd=".backgroundColor";eg="="
		}
	if (dom)
		{layerRef ="document.getElementById";
		styleRef = ".style";ctn2="";eg="="
		cro1='("';h=".left=";v=".top="
		cro2='")';bgd=".backgroundColor";ctn=".innerHTML";
		cro3='"';//nécessaire pour encadrer une variable texte 
		}

//calculatrice
function calcul(){
document.f9.t7.value=eval(document.f9.t6.value)}
//validation

		//points
var pt=eval(parent.haut.document.f1.t2.value); //note
var qu=0;//nbre de questions exactes
var va=0;//commutzateur
var pt2=0;//pts gagnés sur la question
var tf;
var rep1="?"; var rep2="?"; var rep3="?"; var rep4="?";var rep5="?"; var rep6="?"; var rep7="?"; var rep8="?";var rep9="?";var rep10="?"
var q=eval(parent.haut.document.f1.t1.value)//#question

var repo1="phase - &lambda; - graphe 2";
	var repo2="opposition - 1.5&lambda; - graphe 1";
	var repo3="opposition - 2.5&lambda; - graphe 1";
	var repo4="phase - 4&lambda; - graphe 2";
	var repo5="phase - 5&lambda; - graphe 2";
	var repo6="opposition - 0.5&lambda; - graphe 1";
	var repo7="opposition - 1.5&lambda; - graphe 1";
	var repo8="phase - 3&lambda; - graphe 2";
	var repo9="opposition - 1.5&lambda; - graphe 1";
	var repo10="opposition - 3.5&lambda; - graphe 1";
//parent.haut.document.f1.t1.value=eval(q+1);

function valider(){MM_preloadImages('x2.jpg');
	if(va==0)
	{
		if (document.f1.s11.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep1='exact'}
		if (document.f1.s11.value==0) {rep1="faux"}
		if (document.f1.s12.value==1) {pt+=0.1;pt2+=0.1;qu+=1;rep1+=" exact"}
		if (document.f1.s12.value==0) {rep1+=" faux"}
		if (document.f1.s13.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep1+=" exact"}
		if (document.f1.s13.value==0) {rep1+=" faux"}
		
		if (document.f1.s21.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep2='exact'}
		if (document.f1.s21.value==0) {rep2="faux"}
		if (document.f1.s22.value==1) {pt+=0.1;pt2+=0.1;qu+=1;rep2+=" exact"}
		if (document.f1.s22.value==0) {rep2+=" faux"}
		if (document.f1.s23.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep2+=" exact"}
		if (document.f1.s23.value==0) {rep2+=" faux"}
		
		if (document.f1.s31.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep3='exact'}
		if (document.f1.s31.value==0) {rep3="faux"}
		if (document.f1.s32.value==1) {pt+=0.1;pt2+=0.1;qu+=1;rep3+=" exact"}
		if (document.f1.s32.value==0) {rep3+=" faux"}
		if (document.f1.s33.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep3+=" exact"}
		if (document.f1.s33.value==0) {rep3+=" faux"}
		
		if (document.f1.s41.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep4='exact'}
		if (document.f1.s41.value==0) {rep4="faux"}
		if (document.f1.s42.value==1) {pt+=0.1;pt2+=0.1;qu+=1;rep4+=" exact"}
		if (document.f1.s42.value==0) {rep1+=" faux"}
		if (document.f1.s43.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep4+=" exact"}
		if (document.f1.s43.value==0) {rep4+=" faux"}
		
		if (document.f1.s51.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep5='exact'}
		if (document.f1.s51.value==0) {rep5="faux"}
		if (document.f1.s52.value==1) {pt+=0.1;pt2+=0.1;qu+=1;rep5+=" exact"}
		if (document.f1.s52.value==0) {rep5+=" faux"}
		if (document.f1.s53.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep5+=" exact"}
		if (document.f1.s53.value==0) {rep5+=" faux"}
		
		if (document.f1.s61.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep6='exact'}
		if (document.f1.s61.value==0) {rep6="faux"}
		if (document.f1.s62.value==1) {pt+=0.1;pt2+=0.1;qu+=1;rep6+=" exact"}
		if (document.f1.s62.value==0) {rep6+=" faux"}
		if (document.f1.s63.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep6+=" exact"}
		if (document.f1.s63.value==0) {rep6+=" faux"}
		
		if (document.f1.s71.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep7='exact'}
		if (document.f1.s71.value==0) {rep7="faux"}
		if (document.f1.s72.value==1) {pt+=0.1;pt2+=0.1;qu+=1;rep7+=" exact"}
		if (document.f1.s72.value==0) {rep7+=" faux"}
		if (document.f1.s73.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep7+=" exact"}
		if (document.f1.s73.value==0) {rep7+=" faux"}
		
		if (document.f1.s81.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep8='exact'}
		if (document.f1.s81.value==0) {rep8="faux"}
		if (document.f1.s82.value==1) {pt+=0.1;pt2+=0.1;qu+=1;rep8+=" exact"}
		if (document.f1.s82.value==0) {rep8+=" faux"}
		if (document.f1.s83.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep8+=" exact"}
		if (document.f1.s83.value==0) {rep8+=" faux"}
		
		if (document.f1.s91.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep9='exact'}
		if (document.f1.s91.value==0) {rep9="faux"}
		if (document.f1.s92.value==1) {pt+=0.1;pt2+=0.1;qu+=1;rep9+=" exact"}
		if (document.f1.s92.value==0) {rep9+=" faux"}
		if (document.f1.s93.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep9+=" exact"}
		if (document.f1.s93.value==0) {rep9+=" faux"}
		
		if (document.f1.s101.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep10='exact'}
		if (document.f1.s101.value==0) {rep10="faux"}
		if (document.f1.s102.value==1) {pt+=0.1;pt2+=0.1;qu+=1;rep10+=" exact"}
		if (document.f1.s102.value==0) {rep10+=" faux"}
		if (document.f1.s103.value==1) {pt+=0.05;pt2+=0.05;qu+=1;rep10+=" exact"}
		if (document.f1.s103.value==0) {rep10+=" faux"}
if(parent.haut.document.f1.tst10.value=="1"){alert("inutile d'essayer de tricher")}
	if(parent.haut.document.f1.tst10.value==""){	
	ptt=0.01*Math.round(pt*100);
	parent.haut.document.f1.t2.value=eval(ptt);
	ptt2=0.01*Math.round(pt2*100);
	parent.haut.document.f1.h2.value=eval(ptt2);
	parent.haut.document.f1.h3.value=temps2;
	duree1=eval(parent.haut.document.f1.h4.value);
	duree2=eval(duree1+s);
	parent.haut.document.f1.h5.value=duree2;
	parent.haut.document.f1.h4.value=s;
	parent.haut.document.f1.tst10.value="1"

	}
	va=1;}
	var contenu ="<div id='barre' style='position:relative; width:650px; height:22px; z-index:20; visibility: visible;'><table width='100%'  border='1' cellpadding='0' cellspacing='0' class='slt'><tr><td width='98%'>C O R R E C T I O N</td><td width='2%'><a href='#' onMouseOut='MM_swapImgRestore()' onMouseOver=MM_swapImage('Imagex','','x2.jpg',1) onclick='fermer()'><img src='x.jpg' alt='fermer' name='Imagex' width='21' height='21' border='0'></a></td></tr></table></div>"+"<table width=100%  border=0 cellspacing=0 cellpadding=0 class=rep><tr><td width=86><img src=artemis.gif width=86 height=178 alt='&#913;&#961;&#964;&#951;&#956;&#953;&#962;'></td><td width=90%><table width=100%  border=1 cellspacing=0 cellpadding=0 class=rep><p class=text><div align=center><td width=12%>cas</td><td>Votre choix </td>"+
"<td>r&eacute;ponse</td></tr><tr><td>1</td><td>"+rep1+"</td><td>"+repo1+"</td></tr>"+
    "<tr><td>2</td><td>"+rep2+"</td><td>"+repo2+"</td></tr>"+
	"<tr><td>3</td><td>"+rep3+"</td><td>"+repo3+"</td></tr>"+
	"<tr><td>4</td><td>"+rep4+"</td><td>"+repo4+"</td></tr>"+
	"<tr><td>5</td><td>"+rep5+"</td><td>"+repo5+"</td></tr>"+
	"<tr><td>6</td><td>"+rep6+"</td><td>"+repo6+"</td></tr>"+
	"<tr><td>7</td><td>"+rep7+"</td><td>"+repo7+"</td></tr>"+
	"<tr><td>8</td><td>"+rep8+"</td><td>"+repo8+"</td></tr>"+
	"<tr><td>9</td><td>"+rep9+"</td><td>"+repo9+"</td></tr>"+
	"<tr><td>10</td><td>"+rep10+"</td><td>"+repo10+"</td></tr>"+
    "<tr><td colspan=3><p>vous avez "+qu+" r&eacute;ponse(s) exacte(s), vous avez gagn&eacute; "+ptt2+" point(s) <br>"+temps+" </p><p>(vous pouvez aussi d&eacute;placer cette fen&ecirc;tre &agrave; la souris) </p></td></tr></table></td></tr></table>"
	
	eval(layerRef+cro1+"solu"+cro2+ctn+eg+cro3+contenu+cro3+ctn2); 
	 	if (ns4){eval(layerRef+cro1+"solu"+cro2+".document.close()");}
	 	eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'visible'");
		}
		
		
		function fermer(){
			eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'hidden'");
			eval(layerRef+cro1+"barre"+cro2+styleRef+".visibility = 'hidden'");
		}
		
//Disable right click script III- By Renigade (renigade@mediaone.net)
//For full source code, visit http://www.dynamicdrive.com

var message="";
///////////////////////////////////
function clickIE() {if (document.all) {(message);return false;}}
function clickNS(e) {if 
(document.layers||(document.getElementById&&!document.all)) {
if (e.which==2||e.which==3) {(message);return false;}}}
if (document.layers) 
{document.captureEvents(Event.MOUSEDOWN);document.onmousedown=clickNS;}
else{document.onmouseup=clickNS;document.oncontextmenu=clickIE;}

document.oncontextmenu=new Function("return false")


